=== debian/control ===
Source: ros-iron-pick-ik
Section: misc
Priority: optional
Maintainer: Tyler Weaver <maybe@tylerjw.dev>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, librange-v3-dev, ros-iron-ament-cmake-ros, ros-iron-generate-parameter-library, ros-iron-moveit-core, ros-iron-moveit-resources-panda-moveit-config <!nocheck>, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rsl, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-tl-expected, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-pick-ik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, librange-v3-dev, ros-iron-generate-parameter-library, ros-iron-moveit-core, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-rsl, ros-iron-tf2-geometry-msgs, ros-iron-tf2-kdl, ros-iron-tl-expected, ros-iron-ros-workspace
Description: Inverse Kinematics solver for MoveIt
